#unity-wrapper {
  display: flex;
  flex-grow: 1;
  justify-content: left;
  align-items: left;
  margin: 0px;
}

.unity-fullscreen #unity-wrapper {
  position: fixed;
  top: 0px;
  left: 0px;
  margin: 0px;
  width: 100%;
  height: 100%;
  z-index: 99;
  background-color: black;
}

#unity-container {
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  max-width: 2048px;
  background: transparent !important;
  position: relative;
}

.unity-fullscreen #unity-container {
  max-width: none;
  justify-content: center;
  align-items: center;
}

#unity-canvas {
  display: flex;
  width: 100%;
  aspect-ratio: 16/9;
  background: #231f20;
}

.unity-fullscreen #unity-canvas {
  aspect-ratio: 16/9;
}

#unity-loading-bar {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 15%;
  transform: translate(-50%, -50%);
  display: none;
}

#unity-loading-label {
  font-family: "Bebas Neue";
  font-size: 4vw;
  text-align: center;
  color: white;
  margin-bottom: 1vw;
}

#unity-progress-bar-full {
  width: 0%;
  height: 1vw;
  background: white;
}

#unity-progress-bar-empty {
  width: 100%;
  height: 1vw;
  outline-color: white;
  outline-width: 0.25vw;
  outline-style: solid;
}

#start-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 8vw;
  height: 8vw;
  z-index: 99;
  background: url("./../unity-template-data/play-icon.png");
  background-color: rgba(255, 255, 255, 0.25);
  background-position: center;
  background-size: contain;
  border-radius: 25%;
  border: none;
  margin: 0;
  padding: 0;
}

@media (max-aspect-ratio: 16/9) {
  .unity-fullscreen #unity-canvas {
    width: 100vw;
    height: 56.25vw;
  }
}

@media (min-aspect-ratio: 16/9) {
  .unity-fullscreen #unity-canvas {
    width: 177.78vh;
    height: 100vh;
  }

  .unity-fullscreen #start-button {
    width: 14.16vh;
    height: 14.16vh;
  }
}

#start-button:hover {
  background-color: rgba(255, 255, 255, 0.35);
}
#start-button:active {
  background-color: rgba(255, 255, 255, 0.5);
}
